--- old/usr/src/lib/libpkg/common/security.c	2014-05-21 04:03:32.390354805 +0400
+++ new/usr/src/lib/libpkg/common/security.c	2014-05-21 04:03:32.418305587 +0400
@@ -110,7 +110,6 @@
 
 	/* add all ca certs into the store */
 	for (i = 0; i < sk_X509_num(cas); i++) {
-		/* LINTED pointer cast may result in improper alignment */
 		ca_cert = sk_X509_value(cas, i);
 		if (X509_STORE_add_cert(ca_store, ca_cert) == 0) {
 			pkgerr_add(err, PKGERR_NOMEM, gettext(ERR_MEM));
@@ -174,8 +173,7 @@
 	    NID_commonName, sname,
 	    ATTR_MAX) <= 0) {
 		(void) strncpy(sname,
-		    X509_NAME_oneline(xname,
-			NULL, 0), ATTR_MAX);
+		    X509_NAME_oneline(xname, NULL, 0), ATTR_MAX);
 		sname[ATTR_MAX - 1] = '\0';
 	}
 	return (sname);
@@ -205,8 +203,7 @@
 	    NID_commonName, sname,
 	    ATTR_MAX) <= 0) {
 		(void) strncpy(sname,
-		    X509_NAME_oneline(xname,
-			NULL, 0), ATTR_MAX);
+		    X509_NAME_oneline(xname, NULL, 0), ATTR_MAX);
 		sname[ATTR_MAX - 1] = '\0';
 	}
 	return (sname);
